Checking installed linux libraries

I believe ldd will display “not found” for entries that are a problem, but that may vary by distro.

So I’m inexperienced at Linux but installed it to see how Xojo ran on it. I have a fresh install of Mint, and ldd doesn’t show anything is not found, but the help file only looks online. I figure it’s a missing libwebkitgtk-3.0-0 but I can’t for the life of me figure out how to install it. The line in the docs “sudo apt-get install libgtk-3-0:i386 libwebkitgtk-3.0-0:i386” results in it saying it couldn’t locate the package. And “sudo apt-get install libwebkitgtk-3.0-0” says there’s no installation candidate. Help a Win/Mac guy out?

This might be relevant:

Yeah, those were what made me install it to horse around in the first place. And between those posts and the feedback case, I understand it’s probably a missing libwebkitgtk, right? But I can’t figure out how to install it. I was hoping someone here had a suggestion.

To be clear, I’ve got both mint 19 and Mint 20 here and the language reference is working just fine when installed with the Debian package.

In Mint when I went to Xojo and clicked Download, it gave me the tgz so I unzipped it and tried running it, and the local docs didn’t come up. Just the online docs come up in Firefox. After your post I thought “aha, I guess Mint uses Debian packages so I’ll just install that and I’ll be good with the dependencies!” So I did, and the online docs still don’t work. No internet = no docs. :frowning:

On the plus side, the compiler feels speedy.

I just tried on Ubuntu (20.04, 64 bit) as well. Downloaded the deb, installed it (had to use the command line, it wasn’t supported in the software installer), and find that it also only uses Firefox for the help. So, like with Mint, if I have no internet I can’t get to the docs. I’m a Linux novice but have a lot of experience with Windows and Mac and wow is this unintuitive. Every time I try using Linux I’m reminded of why it hasn’t taken over the world yet. LOL

libwebkitgtk-3 has been deprecated for a while now. We prefer libwebkit2gtk for our HTMLViewer since 2018r2, but will fallback to libwebkitgtk-3 on older distros that may not have libwebkit2gtk installed.

Okay, thanks. I just tried installing that and still neither Mint nor Ubuntu will show local docs. I guess I’m still missing something, and am glad I don’t develop on Linux.

You’re not missing anything, this is a bug on our end. It looks like we haven’t updated our logic and are still looking up libwebkitgtk-3 to see if we can load the local documentation.

2 Likes

Okay, in feedback case 61796 both Robin and Greg said they aren’t seeing the problem so I thought it was me. Thanks for confirming I’m not bonkers. :slight_smile:

@Geoff_Perlman see there is no internal help because of this logical error. Small hint even with installed webkit2 it is not coming up. Please don’t blame me and don’t blackmail me. Quod read demonstrandum

Older distros ? Ubuntu focal must be older. Much older. Cause it has the same error.

then why does the local docs work on all of your test machines (greg, robin, see the feedback)
and all of us end users can’t make it works on our test linux ?

Because we have no libwebkit3

would be nice to have some way of installing it ? people at xojo seems to succeed at it ?

Hello,
I’m following this thread 'cause in Linux Mint 20 Ulyana I cannot install libwebkitgtk-3.
I hope someone may be of help cause there are no candidates for it, as stated above.
If you do have some solution, please make yourself heard.

libwebkit2gtk ?

libwebkit2gtk-4.0-37

My program, which uses an HTMLViewer control, doesn’t start: Xojo complains the lack of libwebkitgtk-3 even if installed there’s a superior version.

Do command:

ldd /path/to/xojo/app

Pleas put the output here.

Did you install: libwebkit2gtk-4.0-37 ??

Forum for Xojo Programming Language and IDE. Copyright © 2021 Xojo, Inc.